package com.djhk.common.api.factory;


import com.djhk.common.api.RemoteUserService;
import com.djhk.common.api.model.LoginUser;
import com.djhk.common.core.domain.entity.SysUser;
import org.springframework.stereotype.Component;
import com.djhk.common.core.domain.R;

import java.util.List;

/**
 *
 *
 * @author myk
 */
@Component
public class RemoteUserFallbackFactory implements RemoteUserService
{

    @Override
    public R<LoginUser> getUserInfo(String username, String source) {
        return null;
    }

    @Override
    public R<LoginUser> getUserInfoByEmail(String email, String source) {
        return null;
    }

    @Override
    public R<Boolean> registerUserInfo(SysUser sysUser, String source) {
        return null;
    }

    @Override
    public R<List<SysUser>> getUserList(String source) {
        return null;
    }

    @Override
    public R checkUserInfo(String phone, String email) {
        return null;
    }

    @Override
    public R resetCheckUser(String phone, String email) {
        return null;
    }

    @Override
    public R<SysUser> getUserInfoByUserId(Long userId, String source) {
        return null;
    }
}
